List workflows
curl --request GET \
--url https://api.example.com/v1/workflowsimport requests
url = "https://api.example.com/v1/workflows"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Workflows
List workflows
Return the 5 built-in workflows plus any custom workflows owned by the calling tenant.
GET
/
v1
/
workflows
List workflows
Request
curl https://identity.contra.id/v1/workflows \
-H "x-api-key: $CONTRA_KEY"
Response · 200
{
"workflows": [
{
"workflow_id": "standard_kyc",
"name": "Standard KYC",
"type": "user",
"built_in": true,
"nodes": [
{ "type": "document_verification", "required": true, "provider": "smile_id:job_6" },
{ "type": "aml_screening", "required": true, "provider": "smile_id:aml" }
]
}
// …enhanced_kyc · institutional_kyc · aml_only · kyb · plus your custom workflows
]
}
⌘I